Subject: Re: [Idr] Protocol Action: 'Recommendation for Not Using AS_SET and AS_CONFED_SET in BGP' to BCP (draft-ietf-idr-deprecate-as-sets-06.txt)

From: Stewart Bryant <[email-masked]>
Date: Tue, 08 Nov 2011 18:24:12 +0000

Catching up on some older email

It seems that there was an error in the last call notice,
which was my fault.

The text of the draft that was last called (version 5) was noted
as BCP in its metadata, but the calling notice still listed
it as informational.

The request to change from informational to BCP follows
a number of discussions in the IESG concerning what
type of documents should be BCP vs which should be
informational. In this case as it was advising the community
of what we now thought was a good practice BCP seemed
more appropriate.

The document is still in the RFC editor's queue so if there is
concern in the WG that the status is inappropriate I can
pull it from the queue and bring it back WG/IETF LC.

- Stewart

On 10/10/2011 19:45, Danny McPherson wrote:
> Can someone clue me in as to when the status of this changed
> from Informational to BCP, in particular since this occurred
> after the IETF last call said intended publication was
> Informational?
>
> Also, what the implication of this might be on updating RFC 5065,
> RFC 4271, etc.., as it "recommends against" standardized protocol
> elements and doesn't contain RFC 2119 language.  The IESG comments
> discuss this as well, and I brought it up on the mailing list quite
> a while ago when asking about expressly about intended status.
>
> In general, I don't have a problem with this being BCP if the wording
> is cleaned up, but it certainly was not posited as BCP in WG or IETF
> last call or discussed in the WG to that effect with any response.
>
> -danny
>
>
> On Oct 10, 2011, at 12:06 PM, The IESG wrote:
>
>> The IESG has approved the following document:
>> - 'Recommendation for Not Using AS_SET and AS_CONFED_SET in BGP'
>>   (draft-ietf-idr-deprecate-as-sets-06.txt) as a BCP
>>
>> This document is the product of the Inter-Domain Routing Working Group.
>>
>> The IESG contact persons are Stewart Bryant and Adrian Farrel.
>>
>> A URL of this Internet Draft is:
>> http://datatracker.ietf.org/doc/draft-ietf-idr-deprecate-as-sets/
>>
>>
>>
>>
>> Technical Summary
>>
>> This document provides advice to operators. It deprecates
>> the use of the AS_SET and AS_CONFED_SET types of
>> the AS_PATH in BGPv4. This is done to simplify the
>> design and implementation of the BGP protocol and to make
>> the semantics of the originator of a route more clear.
>>
>> Working Group Summary
>>
>> This document was adopted as a WG item on
>> Oct 25th, 2010. There was an initial WGLC
>> that concluded on April 13th, 2010. Comments
>> from the initial WGLC were integrated and a
>> second WGLC held, which concluded on May17, 2011.
>>
>> Document Quality
>>
>> This note provides advice to operators proposing that
>> they cease using a current BGP protocol feature.
>>
>> Personnel
>>
>> John Scudder ([email-masked]) is the document shepherd.
>> Stewart Bryant ([email-masked]) is the responsible AD.
>>
>> RFC Editor Note
>>
>> There is no RFC2119 language used in the draft.
>>
>> Please remove section 2 - the RFC2119 section and the
>> RFC2119 reference.
>> _______________________________________________
>> Idr mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/idr
>

-- 
For corporate legal information go to:

http://www.cisco.com/web/about/doing_business/legal/cri/index.html